Page MenuHomePhabricator

[LoopUnswitch][Dominators] Don't recalculate DominatorTree
AbandonedPublic

Authored by kuhar on Jul 18 2017, 4:42 PM.

Details

Summary

As of D35528 DominatorTree seems to be preserved correctly and there's no need to recompute it at the end of LoopUnswitch.

I tested this patch by calling DT->verify() instead of DT->recalculate() -- I didn't find any failures when bootstrapping clang and building the llvm test suite.

Diff Detail

Event Timeline

kuhar created this revision.Jul 18 2017, 4:42 PM
kuhar retitled this revision from [LoopUnswitch][Dominators] Don't recompute DominatorTree to [LoopUnswitch][Dominators] Don't recalculate DominatorTree.
kuhar edited the summary of this revision. (Show Details)
dberlin accepted this revision.Jul 26 2017, 10:10 AM
This revision is now accepted and ready to land.Jul 26 2017, 10:10 AM
kuhar abandoned this revision.Aug 1 2017, 1:52 PM